com.jelurida.ardor.contracts

## Class LeaseRenewal

- java.lang.Object
- - nxt.addons.AbstractContract
  - - com.jelurida.ardor.contracts.LeaseRenewal

- All Implemented Interfaces:
    Contract

      public class LeaseRenewal
      extends AbstractContract

  TODO lease renewal still needs some work don't deploy it at the moment The LeaseRenewal contract checks the existing lessors of the contract account for lease renewal. If necessarily it will renew the lease if the lessor passphrase is provided in the contract runner configuration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `LeaseRenewal.Params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LeaseRenewal()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDuplicate(TransactionResponse myTransaction, java.util.List existingUnconfirmedTransactions)`
    `JO` | `processBlock(BlockContext context)` Process new block

    - ### Methods inherited from class nxt.addons.AbstractContract

      `processInvocation, processRequest, processTransaction, processVoucher`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.addons.Contract

      `minProductVersion`

- - ### Constructor Detail

    - #### LeaseRenewal

          public LeaseRenewal()

  - ### Method Detail

    - #### processBlock

          public JO processBlock(BlockContext context)

      Process new block
      Specified by:
        `processBlock` in interface `Contract`
      Overrides:
        `processBlock` in class `AbstractContract`
      Parameters:
        `context` - the block context

    - #### isDuplicate

          public boolean isDuplicate(TransactionResponse myTransaction,
                                     java.util.List existingUnconfirmedTransactions)

      Specified by:
        `isDuplicate` in interface `Contract`
      Overrides:
        `isDuplicate` in class `AbstractContract`